IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_261_2_search]') AND type = 'P')
DROP PROCEDURE [dbo].[order_261_2_search]
GO

-- 生成时间:2018-11-22 18:21:51 by ebs-core  
CREATE  procedure order_261_2_search(
@ordid bigint,
@key nvarchar(200),
@pagesize int 
) 
as  
begin  
set nocount on 
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
-- 将@key 分解为三个值
declare @key1 nvarchar(200)
declare @key2 nvarchar(200)
declare @key3 nvarchar(200)
set @key1=''
set @key2=''
set @key3=''
declare @i int 
set @key1 = @key 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',,',',') 
set @key1 = replace(@key1,',',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @key1 = replace(@key1,'  ',' ') 
set @i = charindex(' ',@key1) 
if (@i>0) 
begin
set @key2 = substring(@key1,@i+1,200) 
set @key1 = substring(@key1,1,@i-1) 
end 
if (@key2>'') 
begin
set @i = charindex(' ',@key2) 
if (@i>0) 
begin
set @key3 = substring(@key2,@i+1,200) 
set @key2 = substring(@key2,1,@i-1) 
end 
end 
if (@key1='') set @key1='%' 
if (charindex('%',@key1)<=0) set @key1='%'+@key1+'%'

if (@key2='') set @key2='%' 
if (charindex('%',@key2)<=0) set @key2='%'+@key2+'%'

if (@key3='') set @key3='%' 
if (charindex('%',@key3)<=0) set @key3='%'+@key3+'%'

select top(@pagesize) * from order_261_2  with(nolock) 
where ord2_ordid=@ordid and ( (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_ccxlh like @key1 and ord2_ccxlh like @key2 and ord2_ccxlh like @key3) or  (ord2_clr like @key1 and ord2_clr like @key2 and ord2_clr like @key3) or  (convert(varchar(100),ord2_clsj, 21) like @key1 and convert(varchar(100),ord2_clsj, 21) like @key2 and convert(varchar(100),ord2_clsj, 21) like @key3) or  (ord2_clxq like @key1 and ord2_clxq like @key2 and ord2_clxq like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_IMH like @key1 and ord2_IMH like @key2 and ord2_IMH like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_sqsh like @key1 and ord2_sqsh like @key2 and ord2_sqsh like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3) or  (ord2_xh1 like @key1 and ord2_xh1 like @key2 and ord2_xh1 like @key3) or  (ord2_ywlx like @key1 and ord2_ywlx like @key2 and ord2_ywlx like @key3) or  (convert(varchar(100),ord2_yysj, 21) like @key1 and convert(varchar(100),ord2_yysj, 21) like @key2 and convert(varchar(100),ord2_yysj, 21) like @key3) or  (ord2_zj like @key1 and ord2_zj like @key2 and ord2_zj like @key3) or  (ord2_zrdw like @key1 and ord2_zrdw like @key2 and ord2_zrdw like @key3) or  (ord2_zrry like @key1 and ord2_zrry like @key2 and ord2_zrry like @key3) or  (ord2_zxpt like @key1 and ord2_zxpt like @key2 and ord2_zxpt like @key3)) order by ord2_order, ord2_id 
select ord2_id  as ord2id_page from order_261_2  with(nolock) 
where ord2_ordid=@ordid and ( (ord2_caption like @key1 and ord2_caption like @key2 and ord2_caption like @key3) or  (ord2_ccxlh like @key1 and ord2_ccxlh like @key2 and ord2_ccxlh like @key3) or  (ord2_clr like @key1 and ord2_clr like @key2 and ord2_clr like @key3) or  (convert(varchar(100),ord2_clsj, 21) like @key1 and convert(varchar(100),ord2_clsj, 21) like @key2 and convert(varchar(100),ord2_clsj, 21) like @key3) or  (ord2_clxq like @key1 and ord2_clxq like @key2 and ord2_clxq like @key3) or  (ord2_code like @key1 and ord2_code like @key2 and ord2_code like @key3) or  (convert(varchar(100),ord2_date, 21) like @key1 and convert(varchar(100),ord2_date, 21) like @key2 and convert(varchar(100),ord2_date, 21) like @key3) or  (ord2_group like @key1 and ord2_group like @key2 and ord2_group like @key3) or  (ord2_IMH like @key1 and ord2_IMH like @key2 and ord2_IMH like @key3) or  (ord2_order like @key1 and ord2_order like @key2 and ord2_order like @key3) or  (ord2_sqsh like @key1 and ord2_sqsh like @key2 and ord2_sqsh like @key3) or  (ord2_status like @key1 and ord2_status like @key2 and ord2_status like @key3) or  (convert(varchar(100),ord2_updated, 21) like @key1 and convert(varchar(100),ord2_updated, 21) like @key2 and convert(varchar(100),ord2_updated, 21) like @key3) or  (ord2_xh1 like @key1 and ord2_xh1 like @key2 and ord2_xh1 like @key3) or  (ord2_ywlx like @key1 and ord2_ywlx like @key2 and ord2_ywlx like @key3) or  (convert(varchar(100),ord2_yysj, 21) like @key1 and convert(varchar(100),ord2_yysj, 21) like @key2 and convert(varchar(100),ord2_yysj, 21) like @key3) or  (ord2_zj like @key1 and ord2_zj like @key2 and ord2_zj like @key3) or  (ord2_zrdw like @key1 and ord2_zrdw like @key2 and ord2_zrdw like @key3) or  (ord2_zrry like @key1 and ord2_zrry like @key2 and ord2_zrry like @key3) or  (ord2_zxpt like @key1 and ord2_zxpt like @key2 and ord2_zxpt like @key3)) order by ord2_order, ord2_id 

set nocount off
end